## Function `kCorr( filter, redshift, colorType, colorValue )`

Description:
  Calculates K-corrections. This allows you to determine K-corrections for a galaxy, given its redshift and a colour. Filters for GALEX, SDSS, UKIDSS, Johnson, Cousins and 2MASS are covered.

  To define the calculation you must choose both a filter, specified as a `KCF_*` constant, and a colour (filter pair) specified as a `KCC_*` constant. For each available filter, only certain colours are available, as described in the documentation of the relevant `KCF_*` constant.

  The algorithm used is described at http://kcor.sai.msu.ru/. This is based on the paper "Analytical Approximations of K-corrections in Optical and Near-Infrared Bands" by I.Chilingarian, A.-L.Melchior and I.Zolotukhin (2010MNRAS.405.1409C), but extended to include GALEX UV bands and with redshift coverage up to 0.5 as described in "Universal UV-optical Colour-Colour-Magnitude Relation of Galaxies" by I.Chilingarian and I.Zolotukhin (2012MNRAS.419.1727C).

Parameters:
  `filter` (KFilter)
    `KCF_*` constant defining the filter for which you want to calculate the K-correction
  `redshift` (floating point)
    galaxy redshift; this should be in the range 0-0.5
  `colorType` (KColor)
    `KCC_*` constant defining the filter pair for the calculation; check the `KCF_*` constant documentation to see which ones are permitted for a given filter
  `colorValue` (floating point)
    the value of the colour

Return Value (floating point):
  K correction

Examples:
  - `kCorr(KCF_g, 0.16, KCC_gr, -0.8) = 3.593`
  - `kCorr(KCF_FUV, 0.48, KCC_FUVu, 0.31) = -0.170`

Signature:
  `double kCorr(KFilter, double, KColor, double)`